## org.eclipse.datatools.sqltools.data.internal.ui.editor
Class TableDataEditorInput

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.ui.editor.TableDataEditorInput

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorInput

    public class TableDataEditorInput

extends java.lang.Object
implements org.eclipse.ui.IEditorInput

Constructor Summary
`TableDataEditorInput(Table table)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`boolean` `exists()`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor()`
`java.lang.String` `getName()`
`org.eclipse.ui.IPersistableElement` `getPersistable()`
`Table` `getTable()`
`java.lang.String` `getToolTipText()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDataEditorInput

    public TableDataEditorInput(Table table)

Method Detail

### exists

    public boolean exists()

  Specified by:
    `exists` in interface `org.eclipse.ui.IEditorInput`

### getImageDescriptor

    public org.eclipse.jface.resource.ImageDescriptor getImageDescriptor()

  Specified by:
    `getImageDescriptor` in interface `org.eclipse.ui.IEditorInput`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.ui.IEditorInput`

### getPersistable

    public org.eclipse.ui.IPersistableElement getPersistable()

  Specified by:
    `getPersistable` in interface `org.eclipse.ui.IEditorInput`

### getToolTipText

    public java.lang.String getToolTipText()

  Specified by:
    `getToolTipText` in interface `org.eclipse.ui.IEditorInput`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### getTable

    public Table getTable()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`